Bug 82623 - Installer mis-identifies SiS 620 display adapter
Installer mis-identifies SiS 620 display adapter
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-23 21:11 EST by Philip Pawley
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 15:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Pawley 2003-01-23 21:11:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
The installer identified my SiS 620 display adapter as SiS 630.

I have previously installed 6.2, 7.2, 7.3, 8.0. They always correctly identifiied my display adapter and monitor.

No sweat, I simply entered the correct value.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Probably not relevant (but who knows): all Linux versions I have installed with XFree86 4.2 have had display problems: lots of 1px coloured horizontal lines.
This happenned with 7.3 & 8.0 as well as Phoebe. Also Mandrake 8.2 when using XFree86 4.2.
It did not happen with 6.2, 7.1 or 7.2. Nor with Mandrake 8.2 using XFree86 3.3.
I have reported this particular bug over at XFree86.org
Comment 1 Michael Fulbright 2003-01-27 12:04:06 EST
Reassigning to kudzu, our hw detection layer.
Comment 2 Bill Nottingham 2003-01-27 12:33:39 EST
lspci output?
Comment 3 Philip Pawley 2003-01-28 16:26:30 EST
Nearly the same thing happens with Phoebe beta 2 (8.0.93). This time SiS 620 is
mis-identified as SiS 530. 

Again, I corrected it during the installation. Afterwards, running
redhat-config-xfree86, I find it has reverted to SiS 530. This time it stayed
corrected. (It doesn't seem to make any difference to the display which setting
is used).

Here is the requested lspci for 8.0.93:-
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 620 Host (rev 02)
00:00.1 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
00:01.0 ISA bridge: Silicon Integrated Systems [SiS] 85C503/5513 (rev b3)
00:01.1 Class ff00: Silicon Integrated Systems [SiS] ACPI
00:01.2 USB Controller: Silicon Integrated Systems [SiS] 7001 (rev 11)
00:02.0 PCI bridge: Silicon Integrated Systems [SiS] 5591/5592 AGP
00:09.0 Ethernet controller: D-Link System Inc RTL8139 Ethernet (rev 10)
00:0f.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] SiS530 3D
PCI/AGP (rev 2a)
Comment 4 Bill Nottingham 2003-01-28 16:32:53 EST
Hm, the PCI ID shows up as a SiS530. Not sure what else to do here. It all maps
to the SiS driver, so it shouldn't make a functional difference.
Comment 5 Bill Nottingham 2003-01-30 00:51:17 EST
Does actually changing the card type make any difference in the display?
Comment 6 Philip Pawley 2003-01-30 01:14:28 EST
No changing between SiS 530 and SiS 620 made no difference to the display. However, bear in mind that, as I mentioned earlier, the display is badly broken for XFree86 4.2 running on SiS machines. Thomas Winischhofer, thomas@winischhofer.net, tells me that will be fixed for XFree86 4.3.  
Comment 7 Philip Pawley 2003-01-30 01:22:05 EST
Repeat (Sorry about the lack of line wrapping the first time).

No changing between SiS 530 and SiS 620 made no difference to the display.
However, bear in mind that, as I mentioned earlier, the display is badly broken
for XFree86 4.2 running on SiS machines. Thomas Winischhofer,
thomas@winischhofer.net, tells me that will be fixed for XFree86 4.3.  
Comment 8 Bill Nottingham 2003-01-30 01:30:05 EST
Assigning to XFree86 for the driver issue, then. We're mapping the driver as it
shows up in the PCI listing, so that part seems OK.
Comment 9 Mike A. Harris 2003-02-03 12:39:15 EST
Sounds like the upstream maintainer is aware of this problem and has
indicated it will be fixed for 4.3.0.  Resolving bug as UPSTREAM.
Comment 10 Mike A. Harris 2003-07-17 06:10:48 EDT
Reopening bug flagged UPSTREAM and closing as CURRENTRELEASE with the assumption
it got fixed in XFree86 4.3.0 and works properly in Red Hat Linux 9.

If the problem recurs in RHL 9, please report bug to http://bugs.xfree86.org
and reopen this report again and paste the upstream bug URL here for us to
track it.

Thanks.
Comment 11 Philip Pawley 2003-07-20 19:01:04 EDT
Reporting back.
1. When installing RH9 on my SiS 620 system, the probe still comes back with 
SiS 530. Of course, I correct that at the end of the install. I'm not clear 
that this is an XFree86 problem, so I leave that for somebody who knows to 
follow through.

2. The related, more serious, problem I mentioned in these comments: that the 
display is badly broken, still happens in RH 9. I reported it to Thomas 
Winischhofer directly (last week) and he has produced a working patch. My 
system is working fine now and I presume the patch will be part of XFree86 
4.3.1. Meantime, the new version of sis_drv.o (which is all that was needed) is 
available on Thomas' web-site - http://www.winischhofer.net 

I hope that's all the info you need, but do come back to me if I've missed 
anything out.
  
Comment 12 Mike A. Harris 2003-07-21 02:00:30 EDT
>1. When installing RH9 on my SiS 620 system, the probe still comes back with 
>SiS 530. Of course, I correct that at the end of the install. I'm not clear 
>that this is an XFree86 problem, so I leave that for somebody who knows to 
>follow through.

As I stated before, this is cosmetic.  If you have _ANY_ SiS video hardware,
and manually select _ANY_ SiS video adaptor from the list of all SiS video
hardware (instead of using autodetection), the "sis" driver is selected.
The name stored in the config file, is cosmetic ONLY for human reading, and
if it is wrong, that does not affect the working of the driver in any way.

All of the XFree86 video drivers themselves each individually support many
different chips from the same company.  The sis driver supports all supported
sis hardware, the radeon driver supports all supported ATI Radeon hardware,
etc.  The only thing which actually matters here, is that if you have an
"sis" card of any kind, that the "sis" driver gets selected, or if you have
a Radeon card of any kind, that the "radeon" driver gets selected.

Sometimes the information provided to us from vendors or community PCI ID
databases, is not 100% accurate.  If this is the case, a video card might
be mislabeled in the database to be something else than what it is.  It is
also possible that a single PCI ID is marketed as multiple different products
that both work the same.  In any case, this database of human readable names
of video devices such as "SiS 530" completely make no difference to the video
driver.  They exist purely for humans to read instead of reading a number
such as 1002:3234.  So, while the installer or config tool might autodetect
a given card as being "SiS 530" when it is in fact "SiS 23423" it makes no
difference, because the "sis" driver is what gets selected, and the config
file spit out is identical for all sis hardware.

When the video driver starts up, it looks at the card's PCI ID, and it knows
wether or not it has support for that ID.  If it doesn't then it will print
an error and bail, saying "Unknown device" or similar.  Otherwise, the driver
will print a message to the X server log during startup indicating that it
has detected an SiS chip, and it will also print the name of the chip.  You
may find that the human readable name displayed by our installer or config
tool in some cases is different from the name displayed in the log file by
the XFree86 driver.  If so, this indicates a human readable database error,
or an X video driver cosmetic error.  In both cases, it is cosmetic only,
and does not affect the operation of the driver.  The driver in all cases
knows what the real video card is, despite what us humans see or think the
name is, and the driver follows conditional codepaths for that specific
chip.

I'm clarifying this only so that you know that any problem you might
be encountering with video output working or not, or crashing, has nothing
to do with autodetection or misidentification.  There very well is likely
an SiS driver bug causing the problems you are experiencing, however it is
not because our config tool or X thinks that your card is a different card
than it is.

That said, lets try to see what we can do for you with the real issue here.

Note that barring a major security hole, or a drastic change in XFree86.org's
version numbering scheme, there will not be a 4.3.1 release, and if there
is a 4.3.1 release, it will not contian any major driver updates, just bug
fixes and security fixes.  There are no such fixes in the current 4.3.x
stable branch to this date at least.  Any changes are likely to not be
included in XFree86 until 4.4.0 is released a long time from now.  I will
however investigate adding small bug fixes if someone has patches as unified
diffs they can attach to bugzilla as a file attachment, or if I can locate
them myself.

I'll investigate the current CVS head however and get back to you.  If the
current CVS head SiS driver will work in 4.3.0, I can consider updating to
it for our next release.  That would probably be best for you also.

I'll be away for 2 weeks however, so it'll be a while.  Just provide any
more info you can and I'll try to look into this when I return and hopefully
ping you to test a fixed version.

Thanks
Comment 13 Mike A. Harris 2003-07-21 02:06:21 EDT
One more note on the autodetection thing above...  is that the SiS 530 and
the SiS 620 are the same chip family (as indicated by the driver maintainer's
web page which you included a URL to above):

VGA chips and video bridges

There are currently four groups of SiS VGA controllers:

    * The old series (5597/5598, 6326/AGP/DVD, 530, 620),
    * the 300 series (300, 540, 630/S/ST, 730),
    * the 315 series (315/E/H/PRO, 550, 650, 651, M650, 740, 652, M652), and
    * the Xabre series (330, 660, M660, 760, M760).


The 530 and 620 aparently use the same PCI ID and are thus indistinguishable.
The cosmetic database should be updated to report "SiS 530/620" for these
chips so that both SiS 530 and 620 owners see their cosmetic model number
show up, and do not believe this is misdetection going on that is causing
their problems.  ;o)
Comment 14 Mike A. Harris 2004-09-24 15:34:15 EDT
Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.